<?php
namespace App\Apollo\StructureParser\Structures\MCO;

class Documents extends \App\Galileo\StructureParser\Structures\MCO\Documents
{
    protected function _getData()
	{
        list($parsedStructure, $transactionType, $transactionIndexes) = $this->getTransactionDetails();

        $item = parent::_getData();

        $item->transactionCode = $this->populateTransactionCode($parsedStructure, [$transactionIndexes['k02'], ], [0, ]);

        return $item;
    }
}
